import * as React from "react";
import { StepTopNavProps } from "./Step";
export interface StepsProps {
    activeIndex?: number;
    children: Array<React.ReactElement<StepTopNavProps>>;
    startPosition?: number;
    contentPrepend?: JSX.Element;
    onActiveTabChange?(activeIndex: number): void;
}
export interface StepProcessTopNavState {
    activeIndex: number;
    startPosition?: number;
}
export declare class StepProcessTopNav extends React.Component<StepsProps, StepProcessTopNavState> {
    buttonContainer?: HTMLDivElement;
    navContainer?: HTMLDivElement;
    constructor(props: StepsProps);
    componentDidUpdate(prevProps: StepsProps, prevState: StepProcessTopNavState): void;
    renderTabs(): Array<React.ReactElement<StepTopNavProps>>;
    renderContent(): React.ReactNode | undefined;
    renderButtons(): JSX.Element | undefined;
    render(): JSX.Element;
    private setStartPosition;
    private scrollToTop;
    private goNext;
    private goPrevious;
    private handleClick;
}
